org.modeshape.jboss.subsystem

## Enum Attribute

- java.lang.Object
- - java.lang.Enum<Attribute>
  - - org.modeshape.jboss.subsystem.Attribute

- All Implemented Interfaces:
    Serializable, Comparable<Attribute>

      public enum Attribute
      extends Enum<Attribute>

  Enumerates the XML attributes used in the ModeShape subsystem schema.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS_TYPE`
    `ALLOW_WORKSPACE_CREATION`
    `ANALYZER_CLASSNAME`
    `ANALYZER_MODULE`
    `ANONYMOUS_ROLES`
    `ANONYMOUS_USERNAME`
    `ASYNC_MAX_QUEUE_SIZE`
    `ASYNC_THREAD_POOL_SIZE`
    `AUTO_DEPLOY`
    `BATCH_SIZE`
    `CACHE_CONTAINER`
    `CACHE_NAME`
    `CACHE_TTL_SECONDS`
    `CHANNEL_NAME`
    `CHUNK_SIZE`
    `CLASSNAME`
    `CLUSTER_NAME`
    `CLUSTER_STACK`
    `CONNECTION_FACTORY_JNDI_NAME`
    `COPY_BUFFER_SIZE`
    `DATA_CACHE_NAME`
    `DATA_SOURCE_JNDI_NAME`
    `DEFAULT_WORKSPACE`
    `DOCUMENT_OPTIMIZATION_CHILD_COUNT_TARGET`
    `DOCUMENT_OPTIMIZATION_CHILD_COUNT_TOLERANCE`
    `DOCUMENT_OPTIMIZATION_INITIAL_TIME`
    `DOCUMENT_OPTIMIZATION_INTERVAL`
    `DOCUMENT_OPTIMIZATION_THREAD_POOL`
    `ENABLE_MONITORING`
    `ENABLE_QUERIES`
    `EXPLODED`
    `FORMAT`
    `GARBAGE_COLLECTION_INITIAL_TIME`
    `GARBAGE_COLLECTION_INTERVAL`
    `GARBAGE_COLLECTION_THREAD_POOL`
    `JNDI_NAME`
    `LOCK_CACHE_NAME`
    `LOCKING_STRATEGY`
    `META_CACHE_NAME`
    `MIN_STRING_SIZE`
    `MIN_VALUE_SIZE`
    `MODE`
    `MODULE`
    `NAME`
    `PATH`
    `PATH_EXPRESSION`
    `QUERYABLE`
    `QUEUE_JNDI_NAME`
    `READER_STRATEGY`
    `READONLY`
    `REBUILD_UPON_STARTUP`
    `REBUILD_UPON_STARTUP_INCLUDE_SYSTEM_CONTENT`
    `REBUILD_UPON_STARTUP_MODE`
    `REFRESH_PERIOD`
    `RELATIVE_TO`
    `RETRY_INIT_PERIOD`
    `RETRY_MARKER_LOOKUP`
    `SECURITY_DOMAIN`
    `SOURCE_PATH`
    `SOURCE_RELATIVE_TO`
    `STORE_NAME`
    `SYSTEM_CONTENT_MODE` Deprecated. use the REBUILD_UPON_STARTUP, REBUILD_UPON_STARTUP_INCLUDE_SYSTEM_CONTENT, REBUILD_UPON_STARTUP_MODE attributes
    `THREAD_POOL`
    `UNKNOWN`
    `USE_ANONYMOUS_IF_AUTH_FAILED`
    `WORKSPACE_NAMES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Attribute` | `forName(String localName)`
    `String` | `getLocalName()` Get the local name of this element.
    `static Attribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Attribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Attribute UNKNOWN

    - #### ACCESS_TYPE

          public static final Attribute ACCESS_TYPE

    - #### ALLOW_WORKSPACE_CREATION

          public static final Attribute ALLOW_WORKSPACE_CREATION

    - #### ANALYZER_CLASSNAME

          public static final Attribute ANALYZER_CLASSNAME

    - #### ANALYZER_MODULE

          public static final Attribute ANALYZER_MODULE

    - #### ANONYMOUS_ROLES

          public static final Attribute ANONYMOUS_ROLES

    - #### ANONYMOUS_USERNAME

          public static final Attribute ANONYMOUS_USERNAME

    - #### ASYNC_THREAD_POOL_SIZE

          public static final Attribute ASYNC_THREAD_POOL_SIZE

    - #### ASYNC_MAX_QUEUE_SIZE

          public static final Attribute ASYNC_MAX_QUEUE_SIZE

    - #### BATCH_SIZE

          public static final Attribute BATCH_SIZE

    - #### CACHE_CONTAINER

          public static final Attribute CACHE_CONTAINER

    - #### CACHE_NAME

          public static final Attribute CACHE_NAME

    - #### CHANNEL_NAME

          public static final Attribute CHANNEL_NAME

    - #### CLASSNAME

          public static final Attribute CLASSNAME

    - #### CLUSTER_NAME

          public static final Attribute CLUSTER_NAME

    - #### CLUSTER_STACK

          public static final Attribute CLUSTER_STACK

    - #### CONNECTION_FACTORY_JNDI_NAME

          public static final Attribute CONNECTION_FACTORY_JNDI_NAME

    - #### COPY_BUFFER_SIZE

          public static final Attribute COPY_BUFFER_SIZE

    - #### DATA_CACHE_NAME

          public static final Attribute DATA_CACHE_NAME

    - #### DATA_SOURCE_JNDI_NAME

          public static final Attribute DATA_SOURCE_JNDI_NAME

    - #### DEFAULT_WORKSPACE

          public static final Attribute DEFAULT_WORKSPACE

    - #### DOCUMENT_OPTIMIZATION_THREAD_POOL

          public static final Attribute DOCUMENT_OPTIMIZATION_THREAD_POOL

    - #### DOCUMENT_OPTIMIZATION_INITIAL_TIME

          public static final Attribute DOCUMENT_OPTIMIZATION_INITIAL_TIME

    - #### DOCUMENT_OPTIMIZATION_INTERVAL

          public static final Attribute DOCUMENT_OPTIMIZATION_INTERVAL

    - #### DOCUMENT_OPTIMIZATION_CHILD_COUNT_TARGET

          public static final Attribute DOCUMENT_OPTIMIZATION_CHILD_COUNT_TARGET

    - #### DOCUMENT_OPTIMIZATION_CHILD_COUNT_TOLERANCE

          public static final Attribute DOCUMENT_OPTIMIZATION_CHILD_COUNT_TOLERANCE

    - #### ENABLE_MONITORING

          public static final Attribute ENABLE_MONITORING

    - #### ENABLE_QUERIES

          public static final Attribute ENABLE_QUERIES

    - #### GARBAGE_COLLECTION_THREAD_POOL

          public static final Attribute GARBAGE_COLLECTION_THREAD_POOL

    - #### GARBAGE_COLLECTION_INITIAL_TIME

          public static final Attribute GARBAGE_COLLECTION_INITIAL_TIME

    - #### GARBAGE_COLLECTION_INTERVAL

          public static final Attribute GARBAGE_COLLECTION_INTERVAL

    - #### FORMAT

          public static final Attribute FORMAT

    - #### JNDI_NAME

          public static final Attribute JNDI_NAME

    - #### LOCK_CACHE_NAME

          public static final Attribute LOCK_CACHE_NAME

    - #### LOCKING_STRATEGY

          public static final Attribute LOCKING_STRATEGY

    - #### META_CACHE_NAME

          public static final Attribute META_CACHE_NAME

    - #### CHUNK_SIZE

          public static final Attribute CHUNK_SIZE

    - #### MIN_VALUE_SIZE

          public static final Attribute MIN_VALUE_SIZE

    - #### MIN_STRING_SIZE

          public static final Attribute MIN_STRING_SIZE

    - #### MODE

          public static final Attribute MODE

    - #### SYSTEM_CONTENT_MODE

          @Deprecated
          public static final Attribute SYSTEM_CONTENT_MODE

      Deprecated. use the REBUILD_UPON_STARTUP, REBUILD_UPON_STARTUP_INCLUDE_SYSTEM_CONTENT, REBUILD_UPON_STARTUP_MODE attributes

    - #### MODULE

          public static final Attribute MODULE

    - #### NAME

          public static final Attribute NAME

    - #### PATH

          public static final Attribute PATH

    - #### PATH_EXPRESSION

          public static final Attribute PATH_EXPRESSION

    - #### QUEUE_JNDI_NAME

          public static final Attribute QUEUE_JNDI_NAME

    - #### READER_STRATEGY

          public static final Attribute READER_STRATEGY

    - #### REBUILD_UPON_STARTUP

          public static final Attribute REBUILD_UPON_STARTUP

    - #### REBUILD_UPON_STARTUP_MODE

          public static final Attribute REBUILD_UPON_STARTUP_MODE

    - #### REBUILD_UPON_STARTUP_INCLUDE_SYSTEM_CONTENT

          public static final Attribute REBUILD_UPON_STARTUP_INCLUDE_SYSTEM_CONTENT

    - #### REFRESH_PERIOD

          public static final Attribute REFRESH_PERIOD

    - #### RELATIVE_TO

          public static final Attribute RELATIVE_TO

    - #### RETRY_MARKER_LOOKUP

          public static final Attribute RETRY_MARKER_LOOKUP

    - #### RETRY_INIT_PERIOD

          public static final Attribute RETRY_INIT_PERIOD

    - #### SECURITY_DOMAIN

          public static final Attribute SECURITY_DOMAIN

    - #### SOURCE_PATH

          public static final Attribute SOURCE_PATH

    - #### SOURCE_RELATIVE_TO

          public static final Attribute SOURCE_RELATIVE_TO

    - #### STORE_NAME

          public static final Attribute STORE_NAME

    - #### THREAD_POOL

          public static final Attribute THREAD_POOL

    - #### USE_ANONYMOUS_IF_AUTH_FAILED

          public static final Attribute USE_ANONYMOUS_IF_AUTH_FAILED

    - #### WORKSPACE_NAMES

          public static final Attribute WORKSPACE_NAMES

    - #### CACHE_TTL_SECONDS

          public static final Attribute CACHE_TTL_SECONDS

    - #### QUERYABLE

          public static final Attribute QUERYABLE

    - #### READONLY

          public static final Attribute READONLY

    - #### EXPLODED

          public static final Attribute EXPLODED

    - #### AUTO_DEPLOY

          public static final Attribute AUTO_DEPLOY

  - ### Method Detail

    - #### values

          public static Attribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Attribute c : Attribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Attribute valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLocalName

          public String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### forName

          public static Attribute forName(String localName)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.